ZITADEL Docs
APIsCore ResourcesV2Settings

Get effective settings

Gets all settings which are requested in the request. The settings values are resolved using the hierarchical model. Only the resolved settings are returned, without the source which describes from which hierarchical level they came.

POST
/zitadel.settings.v2.SettingsService/GetEffectiveSettings

Header Parameters

Connect-Protocol-Version*Connect-Protocol-Version

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?Connect-Timeout-Ms

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.settings.v2.SettingsService/GetEffectiveSettings" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "links": {
    "links": [
      {
        "type": "LINK_TYPE_UNSPECIFIED",
        "url": "string",
        "translationKey": "string",
        "target": "LINK_TARGET_UNSPECIFIED"
      }
    ]
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?